Your Cart

Slotty (V1.5)

On Sale
€0.00
Free Download
Added to cart
Free resource by me!
Slotty the friendly slot machine!
  • Minimum Minecraft version required: 1.16
  • Required plugins: Mythicmobs, MythicCrucible,¬†Holographic Displays
Showcase: Youtube
You will get the following files:
  • RAR (8KB)
  • RAR (8KB)
No products found